ant-ivy-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Carsten.Pfeif...@gebit.de
Subject problem resolving dependencies
Date Fri, 15 Feb 2013 20:16:53 GMT
Hi,

I'm trying to use the artifact "richfaces-core-api" from maven-central 
(see search.maven.org), but I cannot resolve the transitive dependency 
google-guava
because of a missing version for it. The version is defined through a 
parent-pom chain and a dependency to another artifact (richfaces-bom).
This scenarion appears to be supported by Maven, but apprently not by Ivy. 
So I'm asking whether this is something that should be fixed in Ivy or 
simply
an unsupported thing.

The chain from richfaces-core-api looks like this (warning, ascii non-art 
ahead):

richfaces-parent  -> dependency to richfaces-bom, which defines 
version.google-guava and has a -> dependency to google-guava with that 
version
        ^ parent
richfaces-root-parent
        ^ parent
 richfaces-core-parent 
        ^ (parent)
richfaces-core-api -> dependency to google-guava, but without version, 
default scope

So, do you think it is a bug in the richfaces-core-api pom that it lacks 
the version for google-guava, or is that a valid scenario to derive the 
version
in such a complicated way?

Thanks,
Carsten
Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message